Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deRenderStates.hpp File Reference

a header to include all renderstate classes More...

`#include "deGlobalTypes.hpp"`
`#include "deWorld.hpp"`

Include dependency graph for deRenderStates.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | LightData
class | IdeRenderLight
| the light renderstate class. Methods are pretty self-explanatory More...
struct | MatData
class | IdeRenderMaterial
| the material renderstate class. Methods are pretty self-explanatory More...
class | IdeRenderState
| The base renderstate class. More...
class | IdeRenderTexture
## Defines
#define | RENDERSTATE_API extern "C" DEDLL_IMPORT
#define | TEXTURESTAGE_COUNT 8
## Functions
DEDLL_IMPORT deBoolean | IdeRenderState_SetDefaultTextureFilters (long MinFilter, long MagFilter, long MipFilter, deBoolean EnableMip)
C DEDLL_IMPORT long | IdeRenderState_GetWOInterfaceID ()
| Get the IdeRenderState WorldObject interface ID.
C DEDLL_IMPORT IdeRenderTexture * | IdeRenderState_CreateRenderTexture ()
| Create an instance of IdeRenderTexture.
C DEDLL_IMPORT IdeRenderMaterial * | IdeRenderState_CreateRenderMaterial ()
| Create an instance of IdeRenderMaterial.
C DEDLL_IMPORT IdeRenderLight * | IdeRenderState_CreateRenderLight ()
| Create an instance of IdeRenderLight.

## Detailed Description

a header to include all renderstate classes

Author:
  Lightning

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Aug 2001

Author:
  Lightning

Remarks:
  Creation

Date:
  May 2002

Author:
  Assassin

Remarks:
  Interface implementation

Date:
  Oct 2002

Author:
  Assassin

Remarks:
  deWorld integration

## Define Documentation

#define RENDERSTATE_API extern "C" DEDLL_IMPORT

#define TEXTURESTAGE_COUNT 8

## Function Documentation

C DEDLL_IMPORT IdeRenderLight* IdeRenderState_CreateRenderLight | ( |  | ) |

| Create an instance of IdeRenderLight.

C DEDLL_IMPORT IdeRenderMaterial* IdeRenderState_CreateRenderMaterial | ( |  | ) |

| Create an instance of IdeRenderMaterial.

C DEDLL_IMPORT IdeRenderTexture* IdeRenderState_CreateRenderTexture | ( |  | ) |

| Create an instance of IdeRenderTexture.

C DEDLL_IMPORT long IdeRenderState_GetWOInterfaceID | ( |  | ) |

| Get the IdeRenderState WorldObject interface ID.

DEDLL_IMPORT deBoolean IdeRenderState_SetDefaultTextureFilters | ( | long | MinFilter,
|  | long | MagFilter,
|  | long | MipFilter,
|  | deBoolean | EnableMip
| ) |